using System;

namespace takm // Note: actual namespace depends on the project name.
{
    internal class Program
    {
        static List<int> Cifre (int x, int y)
        {
            List<int> lista = new List<int>();
            while (x>0 && y>0)
            {
                if (x % 10 > y % 10) lista.Add(x%10);
                else if (x % 10 == y % 10) { lista.Add(x%10); lista.Add(y%10); }
                else lista.Add(y%10);
                x /= 10;
                y /= 10;
            }
            while (x<=0 && y>0) //dodacemo ostatak pocetka y
            {
                lista.Add(y % 10);
                y /= 10;
            }
            while (y<=0 && x>0)
            {
                lista.Add(x % 10);
                x /= 10;
            }
            return lista;
        }
        static int Resenje(List<int> lista)
        {
            double broj=0;
            for (int i=lista.Count-1; i>=0; i--)
            {
                broj+=lista[i]*Math.Pow(10, i);
            }
            return Convert.ToInt32(broj);
        }
        static void Main(string[] args)
        {
            int x = Convert.ToInt32(Console.ReadLine());
            int y = Convert.ToInt32(Console.ReadLine());
            List<int> lista = Cifre(x,y);
            Console.WriteLine(Resenje(lista));

        }
    }
}